org.apache.lucene.queries.function

## Class BoostedQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.queries.function.BoostedQuery

All Implemented Interfaces:
  Cloneable

    public class BoostedQuery
    extends Query

Query that is boosted by a ValueSource

### Constructor Summary

Constructors
Constructor and Description
`BoostedQuery(Query subQuery, ValueSource boostVal)`

### Method Summary

Methods
`Weight` `createWeight(IndexSearcher searcher)`
`boolean` `equals(Object o)`
`void` `extractTerms(Set<Term> terms)`
`Query` `getQuery()`
`ValueSource` `getValueSource()`
`int` `hashCode()`
`Query` `rewrite(IndexReader reader)`
`String` `toString(String field)`

### Methods inherited from class org.apache.lucene.search.Query

`clone, getBoost, setBoost, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BoostedQuery

    public BoostedQuery(Query subQuery,
                ValueSource boostVal)

### Method Detail

#### getQuery

    public Query getQuery()

#### getValueSource

    public ValueSource getValueSource()

#### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

Overrides:
  `rewrite` in class `Query`
Throws:
  `IOException`

#### extractTerms

    public void extractTerms(Set<Term> terms)

Overrides:
  `extractTerms` in class `Query`

#### createWeight

    public Weight createWeight(IndexSearcher searcher)
                        throws IOException

Overrides:
  `createWeight` in class `Query`
Throws:
  `IOException`

#### toString

    public String toString(String field)

Specified by:
  `toString` in class `Query`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Query`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Query`